%define oname tornado
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{oname}
Version:        4.3
Release:        %mkrel 1
Summary:        Scalable, non-blocking web server and tools

Group:          Development/Python
License:        ASL 2.0
URL:            http://www.tornadoweb.org
Source0:        https://pypi.python.org/packages/source/t/%{oname}/%{oname}-%{version}.tar.xz
Requires:       python-pycurl
Requires:       python-simplejson
BuildRequires:  python-tools
BuildRequires:  python-futures
BuildRequires:  python-backports-ssl_match_hostname
BuildRequires:  python-setuptools
BuildRequires:  python-certifi
BuildRequires:  python3-setuptools
BuildRequires:  python3-certifi
BuildRequires:	%{_lib}python3-devel
BuildRequires:	%{_lib}python-devel

%description
Tornado is an open source version of the scalable, non-blocking web server and
and tools.

The framework is distinct from most mainstream web server frameworks (and
certainly most Python frameworks) because it is non-blocking and reasonably
fast. Because it is non-blocking and uses epoll, it can handle thousands of
simultaneous standing connections, which means it is ideal for real-time web
services.

%package doc
Summary:        Examples for python-tornado
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
Tornado is an open source version of the scalable, non-blocking web server and
and tools. This package contains some example applications.

%package -n python3-tornado
Summary:        Scalable, non-blocking web server and tools
Group:          Development/Python

%description -n python3-tornado
Tornado is an open source version of the scalable, non-blocking web
server and tools.

The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.

%package -n python3-tornado-doc
Summary:        Examples for python-tornado
Group:          Documentation
Requires:       python3-tornado = %{version}-%{release}

%description -n python3-tornado-doc
Tornado is an open source version of the scalable, non-blocking web
server and and tools. This package contains some example applications.

%prep 
%setup  -qn %{oname}-%{version}

# remove shebang from files
%{__sed} -i.orig -e '/^#!\//, 1d' *py tornado/*.py tornado/*/*.py

# spurious permission fix
find demos/ -name "*.py" -exec chmod -x {} \;

# remove empty file
rm -rf demos/facebook/static/facebook.js

%build
%py3_build
%py2_build

%install
rm -rf %buildroot
PATH=$PATH:%{buildroot}%{python3_sitelib}/%{oname}
%py3_install
PATH=$PATH:%{buildroot}%{python_sitelib}/%{oname}
%py2_install


%files
%doc README.rst PKG-INFO
%{python2_sitearch}/%{oname}/
%{python2_sitearch}/%{oname}-%{version}-py%{python2_version}.egg-info/

%files doc
%doc demos

%files -n python3-tornado
%doc README.rst PKG-INFO
%{python3_sitearch}/%{oname}/
%{python3_sitearch}/%{oname}-%{version}-*.egg-info

%files -n python3-tornado-doc
%doc demos


%changelog
* Sun Mar 20 2016 bb <bb> 4.3-1pclos2016
- update
